                           [32;4m FliT Documentation [m

[32mProgram:[m
    FliT 1.0.

[32mPurpose:[m
    Convert Autodesk Animator .FLI animations to IFF ANIMs. .FLI animations
    are found on PClones.

[32mAuthor:[m
    John Bickers (JJB Templar)  - jbickers@templar.actrix.gen.nz

    Public Domain DLTA 5 compression code by Jim Kent (Fish 185).

[32mCredits:[m
    This was written using Lattice C 5.10a.

    Jim Kent's "skip.c" module from AmigaLibDisk #185 is used to do
    the compression of DLTA chunks in the IFF ANIM files FliT creates.

    The format of a .FLI file was obtained from an article posted to
    Usenet's comp.graphics by Kevin Darling (kdarling@hobbes.ncsu.edu).

    Neither of the above is aware of, or had any other part in the
    development of, this program. That is, the bugs and brute force are
    mine. :)

[32mCommand line options:[m
    A summary of these options can be accessed with "flit ?".

    -m[file]    Make an IFF ANIM file. The [file] parameter is optional,
                and if not given the file "ram:flit.anim" will be used.

    -p          Pause between frames. Press Space or click the left
                mouse button to proceed to next frame. .FLIs often
                contain filler frames, so the display may not change,
                even though the frame will have.

    -v          Be verbose. Various bits of information I found useful
                when writing the program. Now excessive.

    -g          Use a gray color map. This should be used on animations
                that have more than 16 colors. It happened to be the
                easiest way me to get something acceptable from larger
                colormaps. :) No dithering, HAM, or other baggage. :)

    -j[m[/d]]   Jiffy modifiers. The .FLI jiffy value will be multiplied
                by this fraction. For example, "-j2" would slow the
                final animation down by a factor of two. "-j4/2" would
                do the same.

[32mMiscellaneous:[m
    Premature termination:
        When running, the program can be terminated by pressing Esc in
        the display screen. If you used the -m option, the ANIM file
        will be completed.

    Playback rate:
        Is based purely on how fast the program can go. .FLI animations
        have the data in a byte-per-pixel format that makes unpacking
        slow. In addition, the -m option adds further delays. Any ANIM
        file produced should play back much more smoothly.

    The Animation Loop:
        If you use the -m option, then when the animation ends FliT adds
        two frames to the end of the ANIM file which duplicate the
        1st and 2nd frames of the animation. This allows animation
        players (for example, ShowANIM -C) to loop the animation
        smoothly.

[32mTo do:[m
    Is HAM/dithering worth doing? Any other manipulations anyone's
    interested in? Any bugs (I've only got a handful of .FLIs to test
    with)?

    There's a fair amount of optimization one could do too...

[32mPersonal stuff:[m
    Suggestions are welcome, and may even be implemented. I can be
    contacted at the following:

    Snail:  John Bickers,
            214 Rata St,
            Naenae 6301,
            New Zealand.

    Email:  jbickers@templar.actrix.gen.nz

    Phone:  677-334, 672-085, or 746-625.

    People who use this program are also invited to send some notification
    of their existence to any of the above points. Feel free to pay
    something (esp. if you want to request that something be added :) too,
    but payment is not a requirement. I'd be more interested in
    animations, actually (NOT NOT NOT via email! I have to pay $$ for
    that!).

    This program may be redistributed freely, but not for commercial gain
    (ie: Fred Fish type costs are ok). Note that you should include the
    documentation.

    FliT is Copyright  1991 by John Bickers.

[32mHistory:[m
    1.0     Begun 17-Mar-91.

[32mDisclaimer:[m
    "It works on my machine" (so far :).
